Package com.documentum.xml.xquery

# Enum Class IDfXQuery.FtQueryOptions

java.lang.Object
java.lang.Enum<IDfXQuery.FtQueryOptions>
com.documentum.xml.xquery.IDfXQuery.FtQueryOptions

All Implemented Interfaces:
  `Serializable`, `Comparable<IDfXQuery.FtQueryOptions>`, `Constable`

Enclosing interface:
  IDfXQuery

public static enum IDfXQuery.FtQueryOptions extends Enum<IDfXQuery.FtQueryOptions>
These options are used when executing the xquery against a target of IDfXQueryTargets.DF_FULLTEXT. More options may be added in future releases.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `IDfXQuery.FtQueryOptions.FTQueryOptionType`
  Specifies the type of the FtQueryOption

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `APPLICATION_CONTEXT`
  Specify the application context associated with the query.
  `APPLICATION_NAME`
  Specify the application in which this query is submitted from.
  `BATCH_SIZE`
  Specify the maximum number of results that ContentServer will fetch from the fulltext engine in a batch (each fetchResultStream call to the xDB engine).
  `CACHING`
  Indicate whether to turn on xquery result prefetch caching.
  `LOCALE`
  Specify the locale that the query is written in.
  `PARALLEL_EXECUTION`
  Indicate whether execute the query with multiple threads in parallel.
  `QUERY_TYPE`
  Specify the query type of the query.
  `RETURN_CUTOFF_MESSAGE`
  Indicate whether to get the cutoff message after retrieving query result.
  `RETURN_SUMMARY`
  Indicate whether to return summary information (equivalent to selecting DQL fulltext SUMMARY keyword) The option only takes effect when xhive:highlight() function is called in the xquery statement.
  `RETURN_TEXT`
  Indicate whether to return text information (equivalent to selecting DQL fulltext TEXT keyword) The option only takes effect when xhive:highlight() function is called in the xquery statement.
  `SAVE_EXECUTION_PLAN`
  Indicate whether to return xquery execution plan and debugging information.
  `SECURITY_FILTER`
  Specify the symbolic security filter name that is used by xquery target to map to a security filter class.
  `SPOOLING`
  Indicate whether to spool the results of the xquery into a file.
  `TIMEOUT`
  Specify the timeout value (in milliseconds) for a query.
  `WAIT_FOR_RESULTS`
  Indicate whether to wait for the query result when the query is submitted.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IDfXQuery.FtQueryOptions.FTQueryOptionType`
  `getType()`
  `static IDfXQuery.FtQueryOptions`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static IDfXQuery.FtQueryOptions[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### APPLICATION_CONTEXT

    public static final IDfXQuery.FtQueryOptions APPLICATION_CONTEXT
    Specify the application context associated with the query. The application context is a map of name-value pairs of type String that can be used to provide information about the context of a query. No commas are allowed in the keys of the map. By default, no context is given. FTOPTION_MAP option.

  - ### APPLICATION_NAME

    public static final IDfXQuery.FtQueryOptions APPLICATION_NAME
    Specify the application in which this query is submitted from. The name is used for logging, and can be useful in debugging scenarios where it is useful to see where the query originated from. By default, no name is given. FTOPTION_STRING option.

  - ### BATCH_SIZE

    public static final IDfXQuery.FtQueryOptions BATCH_SIZE
    Specify the maximum number of results that ContentServer will fetch from the fulltext engine in a batch (each fetchResultStream call to the xDB engine). Setting the batch size allows you to optimize the performance of xqueries. Set to 0 if you want all of the query results returned in one batch. The default value is 0. FTOPTION_INTEGER option.

  - ### CACHING

    public static final IDfXQuery.FtQueryOptions CACHING
    Indicate whether to turn on xquery result prefetch caching. If the client knows that the result for a xquery is small, set this option to false. For most cases, it should be set to true. Default is true. FTOPTION_BOOLEAN option.

  - ### LOCALE

    public static final IDfXQuery.FtQueryOptions LOCALE
    Specify the locale that the query is written in. If specified, the query terms are tokenized based on linguistic analysis in that particular locale. Otherwise, the locale of the session is used. FTOPTION_STRING option.

  - ### PARALLEL_EXECUTION

    public static final IDfXQuery.FtQueryOptions PARALLEL_EXECUTION
    Indicate whether execute the query with multiple threads in parallel. The system may disable parallel execution automatically if too many search requests are currently running. Default is false. FTOPTION_BOOLEAN option.

  - ### QUERY_TYPE

    public static final IDfXQuery.FtQueryOptions QUERY_TYPE
    Specify the query type of the query. Used for auditing queries properly. Valid values are: QUERY, QUERY_WARMUP, QUERY_AUTO, QUERY_FTINTEGRITY, QUERY_CONSISTENCY, QUERY_TEST, QUERY_REPORT, QUERY_METRICS. By default, the query type is QUERY. An invalid query type will be reported as QUERY. FTOPTION_STRING option.

  - ### RETURN_SUMMARY

    public static final IDfXQuery.FtQueryOptions RETURN_SUMMARY
    Indicate whether to return summary information (equivalent to selecting DQL fulltext SUMMARY keyword) The option only takes effect when xhive:highlight() function is called in the xquery statement. Default is false. FTOPTION_BOOLEAN option.

  - ### RETURN_TEXT

    public static final IDfXQuery.FtQueryOptions RETURN_TEXT
    Indicate whether to return text information (equivalent to selecting DQL fulltext TEXT keyword) The option only takes effect when xhive:highlight() function is called in the xquery statement. Default is false. FTOPTION_BOOLEAN option.

  - ### SAVE_EXECUTION_PLAN

    public static final IDfXQuery.FtQueryOptions SAVE_EXECUTION_PLAN
    Indicate whether to return xquery execution plan and debugging information. If set to true, call the getExecutionPlan API to retrieve the query plan. Default is false. FTOPTION_BOOLEAN option.

  - ### SECURITY_FILTER

    public static final IDfXQuery.FtQueryOptions SECURITY_FILTER
    Specify the symbolic security filter name that is used by xquery target to map to a security filter class. By default, no name is given and uses the internal security filter in the IndexServer. FTOPTION_STRING option.

  - ### SPOOLING

    public static final IDfXQuery.FtQueryOptions SPOOLING
    Indicate whether to spool the results of the xquery into a file. The file is written to the location specified by the query-result-spool-location parameter in the indexserverconfig. Default is false. FTOPTION_BOOLEAN option.

  - ### TIMEOUT

    public static final IDfXQuery.FtQueryOptions TIMEOUT
    Specify the timeout value (in milliseconds) for a query. This can be used to intentionally to stop the xquery if the processing takes too long. By default, the timeout value is -1, which means to never timeout the query execution. FTOPTION_INTEGER option.

  - ### WAIT_FOR_RESULTS

    public static final IDfXQuery.FtQueryOptions WAIT_FOR_RESULTS
    Indicate whether to wait for the query result when the query is submitted. If the option is enabled, the query request will wait until the first batch of results are available. If not, the execute API will return control to the user immediately. The first batch of results will be retrieved when the readResults API is called, or reading from the results stream occurs. Default is true. FTOPTION_BOOLEAN option.

  - ### RETURN_CUTOFF_MESSAGE

    public static final IDfXQuery.FtQueryOptions RETURN_CUTOFF_MESSAGE
    Indicate whether to get the cutoff message after retrieving query result. If the option is enabled, the query request will retrieve the cutoff message. If not, the cutoff message will be ignored. Default is false. FTOPTION_BOOLEAN option.

- ## Method Details

  - ### values

    public static IDfXQuery.FtQueryOptions[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static IDfXQuery.FtQueryOptions valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getType

    public IDfXQuery.FtQueryOptions.FTQueryOptionType getType()